#!/usr/bin/env python
import tarfile
import os, sys, shutil
import subprocess



for constant in (2,5,10,20,50,100,200):
	print "constant: " + str(constant)
	for i in range(0,1):
		execString =("/usr/bin/java -Xmx100m -Djava.awt.headless=true -cp binaries/bin sinalgo.runtime.Main " 
			"-batch "												 #execute without gui
			"-project localbroadcast "							 # choose the project
			"-gen 500 localbroadcast:LocalBroadcastNode Random "	# generate nodes (use default models, set default values below)
			"-overwrite "										 # Overwrite configuration file parameters
			"dimX=1000 "		 #number of the run (seed is still random)
			"dimY=1000 "		 #number of the run (seed is still random)
			"SINRTransmission/constant="+str(constant)+" "
			"exitOnTerminationInGUI=true "	 # Close GUI when hasTerminated() returns true
			"outputToConsole=false "				 # Create a framework log-file for each run
			"extendedControl=false "				 # Don't show the extended control in the GUI
			"-rounds 50000 "						# Number of rounds to start simulation (Note timeLimit or roundLimit above)
			"-refreshRate 50"			
			) 
		#print execString
		output = subprocess.Popen(execString, shell=True, stdout=subprocess.PIPE).communicate()[0]
		print output
		print output.split(" ")[1].strip()


